#!/bin/bash
# This script creates the tar.gz file to be published

PFENCEVER=1.0

# Set current directory to the one containing this script
cd "$(dirname "$0")"

DISTRIB_DIR=pfence-$PFENCEVER

mkdir -p $DISTRIB_DIR
cp Makefile        $DISTRIB_DIR
cp pfence.cpp      $DISTRIB_DIR
cp README          $DISTRIB_DIR
cp LICENSE         $DISTRIB_DIR
cp Changelog       $DISTRIB_DIR
cp make-distrib.sh $DISTRIB_DIR

tar -pczvf "$DISTRIB_DIR.tgz" "$DISTRIB_DIR"
